var formatter = new Intl.DateTimeFormat('en', {
    year: 'numeric',
    month: 'long',
    day: '2-digit',
    weekday: 'short'
});
formatter.format(new Date());
// "Thu, October 25, 2013"


new Date().toLocaleDateString('ja', {
    year: 'numeric',
    month: 'long',
    day: '2-digit',
    weekday: 'short'
});
// "2013年11月01日(金)"

new Date(2000, 3, 1, 0, 0).toLocaleString('ja', {
    timeZone: 'America/Los_Angeles'
});
// "2000/3/31 7:00:00"
